import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (p, r, n, o) => {
  for (var e = o > 1 ? void 0 : o ? g(r, n) : r, s = p.length - 1, c; s >= 0; s--)
    (c = p[s]) && (e = (o ? c(r, n, e) : c(e)) || e);
  return o && e && v(r, n, e), e;
};
let t = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chevronDownLarge", this.class = "c-pieIcon c-pieIcon--chevronDownLarge", this.name = "IconChevronDownLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chevronDownLarge"><path d="M5.876 9.875 16 20.375h.096l10.028-10.5 1.251 1.234-10.062 10.5a1.916 1.916 0 0 1-2.625 0L4.624 11.09z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], t.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = i([
  f("icon-chevron-down-large")
], t);
export {
  t as IconChevronDownLarge
};
